{
  "type": "minecraft:block",
  "pools": [
    {
      "bonus_rolls": 0,
      "conditions": [],
      "entries": [
        {
          "type": "minecraft:item",
          "name": "minecraft:arrow",
          "functions": [
            {
              "function": "minecraft:set_components",
              "components": {
                "minecraft:item_name": {
                  "translate": "item.overlyrealistic.wooden_arrow",
                  "fallback": "Wooden Arrow",
                  "color": "white"
                },
                "max_stack_size": 20,
                "custom_data": {
                  "ArrowType": "wooden_arrow",
                  "IsArrow": true,
                  "or_edited_item": true
                },
                "item_model": "overlyrealistic:items/wooden_arrow"
              }
            }
          ]
        }
      ],
      "rolls": 1
    }
  ]
}